Re: [Openvpn-devel] [PATCH] mbedtls: include correct net/net_sockets header according to version

2016-12-09 Thread Steffan Karger
Hi, On 9 December 2016 at 10:07, Magnus Kroken wrote: > is deprecated as of mbedTLS 2.4.0, it is renamed > . OpenVPN will fail to build with > mbedTLS 2.4.0 with MBEDTLS_DEPRECATED_REMOVED defined. > > Check MBEDTLS_VERSION_NUMBER, and include net.h for < 2.4.0 and >

[Openvpn-devel] [PATCH] mbedtls: include correct net/net_sockets header according to version

2016-12-09 Thread Magnus Kroken
is deprecated as of mbedTLS 2.4.0, it is renamed . OpenVPN will fail to build with mbedTLS 2.4.0 with MBEDTLS_DEPRECATED_REMOVED defined. Check MBEDTLS_VERSION_NUMBER, and include net.h for < 2.4.0 and net_sockets.h for >= 2.4.0. Signed-off-by: Magnus Kroken --- Tested,